"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.willReceiveHttpRequest = exports.willSendHttpRequest = void 0;
const matchers_1 = require("./matchers");
const constants_types_1 = require("./constants.types");
const willSendHttpRequest = ({ request, response, }) => ({
    request: (0, matchers_1.httpRequestMatcher)(request),
    response: (0, matchers_1.httpResponseMatcher)(response),
    '_case:mock:type': constants_types_1.MOCK_HTTP_SERVER,
    '_case:run:context:setup': {
        write: {
            type: constants_types_1.MOCK_HTTP_SERVER,
            stateVariables: 'default',
            triggers: 'provided',
        },
        read: {
            type: constants_types_1.MOCK_HTTP_CLIENT,
            stateVariables: 'state',
            triggers: 'generated',
        },
    },
});
exports.willSendHttpRequest = willSendHttpRequest;
const willReceiveHttpRequest = ({ request, response, }) => ({
    request: (0, matchers_1.httpRequestMatcher)(request),
    response: (0, matchers_1.httpResponseMatcher)(response),
    '_case:mock:type': constants_types_1.MOCK_HTTP_CLIENT,
    '_case:run:context:setup': {
        write: {
            type: constants_types_1.MOCK_HTTP_CLIENT,
            stateVariables: 'state',
            triggers: 'generated',
        },
        read: {
            type: constants_types_1.MOCK_HTTP_SERVER,
            stateVariables: 'default',
            triggers: 'provided',
        },
    },
});
exports.willReceiveHttpRequest = willReceiveHttpRequest;
//# sourceMappingURL=http.js.map